package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"versionnumber", "type", "reusable", "name", "description", "attribute", "exprmacrodependency", "timer", "valuepair", "resourcereference"}
)
@XmlRootElement(
   name = "TASK"
)
public class TASK {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "REUSABLE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String reusable;
   @XmlAttribute(
      name = "PARENT"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String parent;
   @XmlAttribute(
      name = "PARENT_TYPE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String parenttype;
   @XmlAttribute(
      name = "VERSIONNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String versionnumber;
   @XmlElement(
      name = "ATTRIBUTE"
   )
   protected List<ATTRIBUTE> attribute;
   @XmlElement(
      name = "EXPRMACRODEPENDENCY"
   )
   protected List<EXPRMACRODEPENDENCY> exprmacrodependency;
   @XmlElement(
      name = "TIMER"
   )
   protected TIMER timer;
   @XmlElement(
      name = "VALUEPAIR"
   )
   protected List<VALUEPAIR> valuepair;
   @XmlElement(
      name = "RESOURCEREFERENCE"
   )
   protected List<RESOURCEREFERENCE> resourcereference;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getREUSABLE() {
      return this.reusable;
   }

   public void setREUSABLE(String value) {
      this.reusable = value;
   }

   public String getPARENT() {
      return this.parent;
   }

   public void setPARENT(String value) {
      this.parent = value;
   }

   public String getPARENTTYPE() {
      return this.parenttype;
   }

   public void setPARENTTYPE(String value) {
      this.parenttype = value;
   }

   public String getVERSIONNUMBER() {
      return this.versionnumber;
   }

   public void setVERSIONNUMBER(String value) {
      this.versionnumber = value;
   }

   public List<ATTRIBUTE> getATTRIBUTE() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }

   public List<EXPRMACRODEPENDENCY> getEXPRMACRODEPENDENCY() {
      if (this.exprmacrodependency == null) {
         this.exprmacrodependency = new ArrayList();
      }

      return this.exprmacrodependency;
   }

   public TIMER getTIMER() {
      return this.timer;
   }

   public void setTIMER(TIMER value) {
      this.timer = value;
   }

   public List<VALUEPAIR> getVALUEPAIR() {
      if (this.valuepair == null) {
         this.valuepair = new ArrayList();
      }

      return this.valuepair;
   }

   public List<RESOURCEREFERENCE> getRESOURCEREFERENCE() {
      if (this.resourcereference == null) {
         this.resourcereference = new ArrayList();
      }

      return this.resourcereference;
   }
}
